Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion Class Reference

Base class for content type gateways. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion:

## Public Member Functions
| __construct (Gateway $innerGateway)
| Creates a new exception conversion gateway around $innerGateway. More...
| createRole (Role $role)
| Create new role. More...
| loadRole ($roleId, $status=Role::STATUS_DEFINED)
| Loads a specified role by $roleId. More...
| loadRoleByIdentifier ($identifier, $status=Role::STATUS_DEFINED)
| Loads a specified role by $identifier. More...
| loadRoleDraftByRoleId ($roleId)
| Loads a role draft by the original role ID. More...
| loadRoles ($status=Role::STATUS_DEFINED)
| Loads all roles. More...
| loadRolesForContentObjects ($contentIds, $status=Role::STATUS_DEFINED)
| Loads all roles associated with the given content objects. More...
| loadRoleAssignment ($roleAssignmentId)
| Loads role assignment for specified assignment ID. More...
| loadRoleAssignmentsByGroupId ($groupId, $inherited=false)
| Loads role assignments for specified content ID. More...
| loadRoleAssignmentsByRoleId ($roleId)
| Loads role assignments for given role ID. More...
| loadPoliciesByUserId ($userId)
| Returns the user policies associated with the user. More...
| updateRole (RoleUpdateStruct $role)
| Update role (draft). More...
| deleteRole ($roleId, $status=Role::STATUS_DEFINED)
| Delete the specified role (draft). More...
| publishRoleDraft ($roleDraftId, $originalRoleId=null)
| Publish the specified role draft. More...
| addPolicy ($roleId, Policy $policy)
| Adds a policy to a role. More...
| addPolicyLimitations ($policyId, array $limitations)
| Adds limitations to an existing policy. More...
| removePolicy ($policyId)
| Removes a policy from a role. More...
| removePolicyLimitations ($policyId)
| Removes a policy from a role. More...

## Protected Attributes
| $innerGateway

## Detailed Description

Base class for content type gateways.

Definition at line 20 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::__construct | ( | Gateway | $innerGateway | ) |

Creates a new exception conversion gateway around $innerGateway.

Parameters

  Gateway | $innerGateway |

Definition at line 34 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

References eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion\$innerGateway.

## Member Function Documentation

## ◆ addPolicy()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::addPolicy | ( |  | $roleId,
|  | Policy | $policy
| ) |  |

Adds a policy to a role.

Parameters

  mixed | $roleId |
  Policy | $policy |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 283 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ addPolicyLimitations()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::addPolicyLimitations | ( |  | $policyId,
|  | array | $limitations
| ) |  |

Adds limitations to an existing policy.

Parameters

  int | $policyId |
  array | $limitations |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 300 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ createRole()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::createRole | ( | Role | $role | ) |

Create new role.

Parameters

  Role | $role |

Returns
  Role

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 46 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ deleteRole()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::deleteRole | ( |  | $roleId,
|  |  | $status = `Role::STATUS_DEFINED`
| ) |  |

Delete the specified role (draft).

If it's not a draft, the role assignments will also be deleted.

Parameters

  mixed | $roleId |
  int | $status | One of Role::STATUS_DEFINED|Role::STATUS_DRAFT

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 248 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\User\Role\$status.

## ◆ loadPoliciesByUserId()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::loadPoliciesByUserId | ( |  | $userId | ) |

Returns the user policies associated with the user.

Parameters

  mixed | $userId |

Returns
  UserPolicy[]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 212 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ loadRole()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::loadRole | ( |  | $roleId,
|  |  | $status = `Role::STATUS_DEFINED`
| ) |  |

Loads a specified role by $roleId.

Parameters

  mixed | $roleId |
  int | $status | One of Role::STATUS_DEFINED|Role::STATUS_DRAFT

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 65 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\User\Role\$status.

## ◆ loadRoleAssignment()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::loadRoleAssignment | ( |  | $roleAssignmentId | ) |

Loads role assignment for specified assignment ID.

Parameters

  mixed | $roleAssignmentId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 157 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ loadRoleAssignmentsByGroupId()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::loadRoleAssignmentsByGroupId | ( |  | $groupId,
|  |  | $inherited = `false`
| ) |  |

Loads role assignments for specified content ID.

Parameters

  mixed | $groupId |
  bool | $inherited |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 176 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ loadRoleAssignmentsByRoleId()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::loadRoleAssignmentsByRoleId | ( |  | $roleId | ) |

Loads role assignments for given role ID.

Parameters

  mixed | $roleId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 194 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ loadRoleByIdentifier()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::loadRoleByIdentifier | ( |  | $identifier,
|  |  | $status = `Role::STATUS_DEFINED`
| ) |  |

Loads a specified role by $identifier.

Parameters

  string | $identifier |
  int | $status | One of Role::STATUS_DEFINED|Role::STATUS_DRAFT

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 84 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

References eZ\Publish\SPI\Persistence\User\Role\$identifier, and eZ\Publish\SPI\Persistence\User\Role\$status.

## ◆ loadRoleDraftByRoleId()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::loadRoleDraftByRoleId | ( |  | $roleId | ) |

Loads a role draft by the original role ID.

Parameters

  mixed | $roleId | ID of the role the draft was created from.

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 102 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ loadRoles()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::loadRoles | ( |  | $status = `Role::STATUS_DEFINED` | ) |

Loads all roles.

Parameters

  int | $status | One of Role::STATUS_DEFINED|Role::STATUS_DRAFT

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 120 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ loadRolesForContentObjects()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::loadRolesForContentObjects | ( |  | $contentIds,
|  |  | $status = `Role::STATUS_DEFINED`
| ) |  |

Loads all roles associated with the given content objects.

Parameters

  array | $contentIds |
  int | $status | One of Role::STATUS_DEFINED|Role::STATUS_DRAFT

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 139 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ publishRoleDraft()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::publishRoleDraft | ( |  | $roleDraftId,
|  |  | $originalRoleId = `null`
| ) |  |

Publish the specified role draft.

If the draft was created from an existing role, published version will take the original role ID.

Parameters

  mixed | $roleDraftId |
  mixed | null | $originalRoleId | ID of role the draft was created from. Will be null if the role draft was completely new.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 266 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ removePolicy()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::removePolicy | ( |  | $policyId | ) |

Removes a policy from a role.

Parameters

  mixed | $policyId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 316 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ removePolicyLimitations()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::removePolicyLimitations | ( |  | $policyId | ) |

Removes a policy from a role.

Parameters

  mixed | $policyId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 332 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## ◆ updateRole()

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::updateRole | ( | RoleUpdateStruct | $role | ) |

Update role (draft).

Exceptions

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway.

Definition at line 230 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

## Member Data Documentation

## ◆ $innerGateway

eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion::$innerGateway
| protected

Definition at line 27 of file Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\User\Role\Gateway\ExceptionConversion\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/User/Role/Gateway/ExceptionConversion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.